#
# Makefile  -  makefile for UNDI network drivers
#
# Copyright (C) 2004-2007 Gero Kuhlmann <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Id: Makefile,v 1.6 2007/01/06 18:30:50 gkminix Exp $
#


# Directory name of this module
MODNAME = bootrom/netdrvr/undi/drivers/source
MODDEFS = _UNDIDRV_


# Include makefile configuration
include ../../../../../make.config
include ../../../../../make.rules


# Source files for the target system
CSRCS86   = sample.c86
SSRCS86   = cstartup.S86
DRIVERS   = $(CSRCS86:%.c86=%.undi)


# Rules to generate the target system files
all:		copydrv

copydrv:	$(DRIVERS)
		@for i in $^; do				\
		  cp $$i ../$$i;				\
		 done


# Rules to generate each driver
sample.undi:	cstartup.o86 sample.o86


# Distribution files
distrib:	all


# Clean up
clean:		clean-general
		rm -f sample.undi

distclean:	clean
		rm -f $(DRIVERS)

realclean:	clean
		rm -f $(DRIVERS)

